<script>
  import Hint from "./components/icons/Hint.svelte";
  import Life from "./components/icons/Life.svelte";
</script>

<section class="panel">
  <h3>On your turn</h3>

  <dl>
    <dt>Give a hint</dt>
    <dd>
      Choose either a color or a number value, and tell a teammate which (if
      any) of their cards have this color/number.
    </dd>

    <div class="divider">or</div>

    <dt>Discard a card</dt>
    <dd>
      Discard one of your cards to regain a <Hint />. If you already have all 8 <Hint
      />, you may not discard a card.
    </dd>

    <div class="divider">or</div>

    <dt>Play a card</dt>
    <dd>
      Select one of your cards to play. Cards must be played in strictly
      ascending order per color, without skips. If your selected card may not be
      played, it is discarded and the team loses a <Life title="life" />. When
      you successfully play a <strong>5</strong> you regain one <Hint />.
    </dd>
  </dl>

  <p>
    If you discarded or played a card, you draw another card from the deck at
    the end of your turn.
  </p>

  <p>
    Note: Your drawn cards are added to your hand from the right side. Keep in
    mind that you're seeing the opposite side of other players' hands. Their
    right is your <em>left</em>, and so their cards are added from the left
    side. Their oldest card is the card in front.
  </p>

  <h3>End of the game</h3>
  <p>
    The game ends immediately with a score of 0 if the the team loses all 3
    <Life title="lives" />.
  </p>
  <p>
    When a player draws the last card from the deck, each player gets one last
    turn, including the player who drew the last card.
  </p>
  <p>
    The team's final score is equal to the number of cards successfully played.
  </p>
</section>

<style>
  section {
    font-size: 85%;
    height: 100%;
    box-sizing: border-box;
    background-color: linen;

    overflow-y: auto;
  }

  h3 {
    font-weight: 500;
  }

  dt {
    font-weight: 500;
  }
  dd {
    margin-left: 0;
  }

  .divider {
    text-align: center;
  }
  .divider::before {
    content: " ~ ";
  }
  .divider::after {
    content: " ~ ";
  }
  .divider:empty::after {
    content: "";
  }
</style>
